package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.Position;
import com.ruoyi.web.work.domain.dto.PositionQueryDto;
import com.ruoyi.web.work.domain.vo.PositionListVo;

import java.util.List;

/**
 * @author lsw
 * @date 2024-06-07
 */
public interface PositionMapper extends BaseMapper<Position> {
    List<Position> selectList(Position position);

    List<Position> manageList(Position position);

    List<PositionListVo> indexList(PositionQueryDto dto);
}
